package ea;

public abstract class Individual implements Comparable<Individual> {

	private double fitness;

	public void setFitness(double fitness) {
		this.fitness = fitness;
	}

	public double getFitness() {
		return fitness;
	}

	public abstract Individual mateWith(Individual partner, double crossover, double mutation);

	public abstract String phenomeString();

	@Override
	public int compareTo(Individual o) {
		return Double.compare(fitness, o.fitness);
	}
}
